Name: Omni
Version: 0.7.3
Release: alt0.4

Summary: The Omni Print Driver System
License: LGPL
Url: http://oss.software.ibm.com/developer/opensource/linux/projects/omni/
Group: Publishing

Source0: http://prdownloads.sourceforge.net/omniprint/%name-%version.tar.bz2

Patch: Omni-alt-build-hack.patch

BuildPreReq: rpm-build >= 4.0.4-alt10, libtool_1.4

%set_libtool_version 1.4

# Automatically added by buildreq on Thu Oct 09 2003 (-bi)
BuildRequires: XFree86-devel foomatic-db-engine gcc-c++ glib-devel glibc-devel-static gtk+-devel libcups-devel libgtkmm-devel libjpeg libsigc++-devel libssl libstdc++-devel libtiff libxml2-devel zlib-devel

#hack ;)
#_define clean_buildroot :

%add_findprov_lib_path %_libdir/Omni


%description
The Omni printer driver provides support for over 300 printers using
the Ghostscript framework. In addition, it provides a model for dynamically
loading printer drivers, creating new devices by editing device description
files, and simplifies new printer driver development by allowing for the
subclassing of previous device features.

%package foomatic
Summary: Foomatic data for the Omni Print Driver System
Group: System/Libraries
Requires: Omni = %version-%release, foomatic

%description foomatic
Foomatic driver meta information for the Omni Print Driver framework.

%prep
%setup -q -n %name
%patch -p1

mv ../Omni.Readme.1st .
%__subst 's|/opt/Omni|%_libdir/%name|' configure.ac

# substs from MDK
# Suppress the generation of debug output files
%__subst "s:/tmp/blit_debug.out:/dev/null:g" "Epson/Epson High Res ESCP2 Blitter.cpp"
# Fix entity in Foomatic printer XML files.
%__subst "s:Partially\&quot:Partially\&quot;:" Foomatic/OmniFoomaticGenerator.cpp
# Replace "-dSAFER" by "-dPARANOIDSAFER" in GhostScript command lines
%__subst "s/-dSAFER/-dPARANOIDSAFER/" Foomatic/OmniFoomaticGenerator.cpp

automake CUPS/Makefile ||:

%build
export CXXFLAGS="$RPM_OPT_FLAGS"
export CFLAGS="$RPM_OPT_FLAGS"
./setupOmni
%make

%install
make \
     DESTDIR=$RPM_BUILD_ROOT \
     DEFAULTFOOMATICROOT=$RPM_BUILD_ROOT%_libdir/%name/foomatic-kit \
     FOOMATICROOT=$RPM_BUILD_ROOT%_libdir/%name/foomatic-kit \
     install

install -d $RPM_BUILD_ROOT%_libdir/cups/filter

ln -s %_libdir/%name/bin/CUPSToOmni $RPM_BUILD_ROOT%_libdir/cups/filter || :
cp -a JobDialog/Tester $RPM_BUILD_ROOT/%_libdir/%name/bin/JobDialogTester ||:

pushd Foomatic
    for d in  foomatic-db/db/source/driver  foomatic-db/db/source/opt foomatic-db/db/source/printer
    do
	[ -d  $d ] || mkdir -p $d
    done

    export LD_LIBRARY_PATH=$RPM_BUILD_ROOT%_libdir/%name/lib
    export PATH=$PATH:..
    ./OmniFoomaticGenerator -d share/foo2omni -l
    mkdir -p $RPM_BUILD_ROOT%_datadir/foomatic/db/source
    %_sbindir/foomatic-kitload -k foomatic-db/db/source -d $RPM_BUILD_ROOT
popd

#place libraries into right place
for i in $RPM_BUILD_ROOT%_libdir/%name/lib/* 
do
    mv $i $RPM_BUILD_ROOT%_libdir/%name/
done

rmdir $RPM_BUILD_ROOT%_libdir/%name/lib/

%files
%doc CUPS/Readme.htm docs
%_libdir/%name
%exclude %_libdir/%name/*.la
%_libdir/cups/filter/CUPSToOmni

%files foomatic
%_datadir/foomatic/db/source/*/*

%changelog
* Thu Dec 04 2003 Stanislav Ievlev <inger@altlinux.org> 0.7.3-alt0.4
- rebuild without .la files

* Fri Oct 10 2003 Stanislav Ievlev <inger@altlinux.ru> 0.7.3-alt0.3
- fix provides

* Wed Oct 08 2003 Stanislav Ievlev <inger@altlinux.ru> 0.7.3-alt0.2
- fix building in hasher

* Tue Mar 04 2003 Stanislav Ievlev <inger@altlinux.ru> 0.7.3-alt0.1
- 0.7.3

* Thu Nov 21 2002 Stanislav Ievlev <inger@altlinux.ru> 0.7.1-alt0.2
- fix library location
- turn off renaming of foomatic modules

* Fri Nov 15 2002 Stanislav Ievlev <inger@altlinux.ru> 0.7.1-alt0.1
- 0.7.1

* Thu Jun 20 2002 Stanislav Ievlev <inger@altlinux.ru> 0.7.0-alt0.1
- 0.7.0
- this suxx works

* Fri Dec 14 2001 Stanislav Ievlev <inger@altlinux.ru> 0.5.1-alt0.1
- first version of the spec
